﻿/*********************************/
/*** General Style Replacement ***/
/*********************************/

@media screen and (min-width: 768px) and (max-width: 991px) {
    #gc-tctr {
        margin-top: 25px;
    }
}

* {
    word-wrap: break-word;
}

[style*="color:red"], 
[style*="color:Red"], 
[style*="color: red"], 
[style*="color: Red"] {
    color: #a94442 !important;
}

[style*="background-color:blanchedalmond"], 
[style*="background-color:Blanchedalmond"], 
[style*="background-color:BlanchedAlmond"], 
[style*="background-color: blanchedalmond"], 
[style*="background-color: Blanchedalmond"], 
[style*="background-color: BlanchedAlmond"] {
    background-color: #eee !important;
}

[disabled].checkbox label, 
[disabled].radio label {
    cursor: not-allowed;
}

.wb-datalist {
    cursor: not-allowed;
    background-color: #eee;
    opacity: 1;
    padding: 6px 12px;
    font-size: 16px;
    line-height: 1.4375;
    color: #555;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0px 1px 1px rgba(0,0,0,0.075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}


/***************************/
/*** DevExpress TreeList ***/
/***************************/

.dxtlControl {
    color: inherit !important;
    font: inherit !important;
}

.dxtlControl th {
    font-weight: bold !important;
    
}

.dxtlControl a  {
    color: #31708f !important;
}

.dxtlControl a:hover, 
.dxtlControl a:focus {
    color: #0535d2 !important;
}

.dxtlControl .dxtlFocusedNode {
    background-color: #d9edf7 !important;
}

.dxtlControl .dxtlFocusedNode a {
    font-weight: bold;
}


.dxtcControl {
    font: inherit !important;
    color: inherit !important;
}


/******************************/
/*** DevExpress PageControl ***/
/******************************/

.dxtcControl {
    font: inherit !important;
    color: inherit !important;
}


/***************************/
/*** DevExpress GridView ***/
/***************************/

table.table-devexpress > tbody > tr > td > table {
    background-color: #FFF;
}


.table-bordered, .table-bordered > tbody > tr > td, 
.table-bordered > tbody > tr > th {
    border: 1px solid #ddd;
}

.table-bordered > tfoot > tr > td, 
.table-bordered > tfoot > tr > th, 
.table-bordered > thead > tr > td, 
.table-bordered > thead > tr > th {
    border: 1px solid #aaa;
}

@media all and (max-width:767px) {
    div.table-responsive > table.table-devexpress {
        width: 720px !important;
    }
    
    div.table-responsive > table.table-devexpress > tbody > tr > td > table.table {
        width: 719px !important;
    }
}

table.table-devexpress > tbody > tr > td > table {
    table-layout: fixed;
}

table.table-devexpress > tbody > tr > td > table th, 
table.table-devexpress > tbody > tr > td > table td {
    word-wrap: break-word;
    overflow: hidden;
}

table.table-devexpress > tbody > tr > td > table .text-center th, 
table.table-devexpress > tbody > tr > td > table .text-center td {
    text-align: center;
}

table.table-devexpress > tbody > tr > td > table a, 
table.table-devexpress > tbody > tr > td > table input, 
table.table-devexpress > tbody > tr > td > table input:not([type='search']), 
table.table-devexpress > tbody > tr > td > table input:not([type='text']) {
    cursor: pointer !important;
}

table.table-devexpress > tbody > tr > td > table td.table-devexpress-selectbox input {
    background: none !important;
    border: initial !important;
    opacity: initial !important;
    height: auto !important;
    width: auto !important;
}

table.table-devexpress > tbody > tr > td > table td.table-devexpress-selectbox span {
    background: none !important;
    width: auto !important;
    height: auto !important;
}

table.table-devexpress > tbody > tr > td > table .cell-devexpress-custombuttons > a {
    display: inline-block;
    margin-left: 5px;
    margin-right: 5px;
}

table.table-devexpress-group > tbody > tr > td > table .dxgvGroupCell, 
table.table-devexpress-group > tbody > tr > td > table .dxgvIndentCell {
    width: 11px !important;
}

table.table-devexpress-group > tbody > tr > td > table .dxgvGroupCell {
    border-right: none;
}

table.table-devexpress-group > tbody > tr > td > table .group {
    background-color: #d9edf7;
    /*color: #31708f;*/
}

table.table-devexpress-group > tbody > tr > td > table .group > td:hover {
    background-color: #d9edf7;
    /*color: #31708f;*/
}

table.table-devexpress-group > tbody > tr > td > table .dxgvIndentCell {
    border-top: none;
    border-bottom: none;
}

table.table-devexpress > tbody > tr > td > table:first-child td.dxgv > input.dxeTextBoxSys {
    /*font-size: 14px; /* handled by .input-sm */
    /*line-height: normal; /* hanlded by .input-sm */
    height: auto; /* override .input-sm */
}

table.table-devexpress > tbody > tr > td > table:first-child > thead tr[id*="DXHeadersRow"] > th, 
table.table-devexpress > tbody > tr > td > table:first-child > thead tr[id*="DXHeadersRow"] > td {
    border-bottom: 2px solid #666;
    border-top: none;
}

table.table-devexpress > tbody > tr > td > table:first-child > thead tr[id*="DXHeadersRow"] > *:first-child {
    border-top-left-radius: 4px;
    border-left: none;
}

table.table-devexpress > tbody > tr > td > table:first-child > thead tr[id*="DXHeadersRow"] > *:last-child {
    border-top-right-radius: 4px;
    border-right: none;
}

table.table-devexpress > tbody > tr > td > table:first-child > tbody tr[id*="DXFooterRow"] > td {
    background-color: #f0f0f0;
}

table.table-devexpress > tbody > tr > td div[id*="DXPagerBottom"] a, 
table.table-devexpress > tbody > tr > td div[id*="DXPagerBottom"] b {
    margin-right: 10px;
}


/*******************************/
/*** Details Panel Accordion ***/
/*******************************/

.accordion > details[open] {
    padding-bottom: 0;
}

.accordion > details[open] > * {
    margin-left: 0;
}


/**********************/
/*** Gradient Style ***/
/**********************/
*.btn-primary {
    /*background-color: #2572b4;
    background-image: -webkit-gradient(linear,left top,left bottom,from(#2572b4),to(#1e5e92));
    background-image: -webkit-linear-gradient(#2572b4,#1e5e92);
    background-image: linear-gradient(#2572b4,#1e5e92);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0, startColorstr='#2572b4', endColorstr='#1e5e92');*/
}
*.nvbar {
    /*background-color: #146094;/**/
    /*background-image: none !important;/**/
}


/****************************/
/*** Secondary Navigation ***/
/****************************/
/* PRIMARY: #2572b4, #fff; INFO: #d9edf7, #31708f; GREY: #e6e6e6, #333; DARK BLUE TEXT: #335075; GREY TEXT: #666*/
/* SECONDARY NAVIGATION ITEM HEADER STYLE */
#wb-sec *.list-group h3.list-group-item {
	color: #ffffff;
	background-color: #335075;
	border-top: none;
	border-left: none;
	border-right: none;
}
	
	
/* SECONDARY NAVIGATION ITEM LINK STYLE */
#wb-sec *.list-group a.list-group-item, 
#wb-sec *.list-group *.list-group a.list-group-item, 
#wb-sec *.list-group a.wb-navcurr.list-group-item {
	color: #555;
}

#wb-sec *.list-group a.wb-navcurr.list-group-item {
    color: #fff;
    background-color: #1e5e92;
}

#wb-sec *.list-group a.wb-navcurr.list-group-item:hover, 
#wb-sec *.list-group a.wb-navcurr.list-group-item:focus {

}

#wb-sec *.list-group a[href].list-group-item:hover, 
#wb-sec *.list-group a[href].list-group-item:focus {
	color: #fff;
	background-color: #1e5e92;
}

#wb-sec > *.list-group > a.list-group-item:last-child, 
#wb-sec > ul.list-group > li:last-child > a.list-group-item {

}

#wb-sec > *.list-group > a.list-group-item, 
#wb-sec > ul.list-group > li > a.list-group-item {

}

/* Summary -- not selected */
#wb-sec *.list-group .list-group a.list-group-item {
	border-top: none;
	border-bottom: none;
	background-color: #FFFFFF;
}


/***************/
/*** Buttons ***/
/***************/

*.btn {
    white-space: normal !important; /* so buttons wrap text */
}


/************************/
/*** CompareValidator ***/
/************************/

span.validator-block:not([style*="none"]) {
    display: block !important;
    margin-top: 5px;
}


/********************/
/*** Input Fields ***/
/********************/

input.form-control[type="date"], 
input.form-control[type="email"], 
input.form-control[type="file"], 
input.form-control[type="number"], 
input.form-control[type="password"], 
input.form-control[type="tel"], 
input.form-control[type="text"], 
select.form-control:not([multiple="multiple"]), 
textarea.form-control {
    width: 100%;
}

select.form-control[multiple="multiple"] {
    /*min-width: 100%;*/
    width: 100%;
}

.wb-date-wrap a.picker-toggle {
    position: absolute;
    top: 7px;
    right: 23px;
    color: #2572b4;
    z-index: 15;
}

.wb-date-wrap a.picker-toggle:hover, 
.wb-date-wrap a.picker-toggle:focus {
    color: #1e5e92;
}

.wb-date-wrap div.picker-overlay {
    position: absolute;
    top: 70px;
    right: 15px;
}

.wb-date-wrap input.picker-field[disabled] ~ a.picker-toggle {
    display: none;
}

.wb-date-wrap input.form-control[type="date"] {
    padding-right: 40px;
}

.checkbox-inline label {
    font-weight: 400;
}

.radio-inline label {
    font-weight: 400;
}


/************************/
/*** FeedbackControls ***/
/************************/

.has-feedback .form-control {
    padding-right: 12px;
}

.has-feedback .form-control-feedback-required {
    color: #a94442;
    z-index: 10;
}

.has-feedback div.input-group-addon-post-required span.input-group-addon-post {
    padding-right: 40px;
}

.has-feedback select.form-control[multiple="multiple"] {
    padding-right: 36px;
}

.has-feedback div.input-group-addon-post-required span.input-group-addon-post-blank {
    padding-right: 22px !important;
}

.has-feedback .wb-date-wrap a.picker-toggle {
    right: 52px !important;
}

.has-feedback .wb-date-wrap input.form-control[type="date"] {
    padding-right: 46.25px !important;
}

.has-feedback .checkbox-inline input ~ label {
    padding-right: 46.25px;
}
a.dxbButton {
    font-size: inherit;

}